Subject: Re: bug#13636: 24.3.50; tramp+ftp broken

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 06 Feb 2013 17:47:17 +0100

Hi Michael,

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
> Hi Thierry,
>
>>> Tramp does not touches .netrc. ange-ftp shouldn't either, and there
>>> haven't been recent changes I'm aware of.
>>>
>>> Hmm, unfortunately the most interesting part of the backtrace is byte
>>> code. Could you, please, remove all *.elc from the lisp/ directory (and
>>> subdirectories)? This might give us a better backtrace.
>> Still have some byte-code, but more informative though.
>>
>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>   signal(wrong-type-argument (stringp nil))
>>   byte-code("\301@A\"\207" [err signal] 3)
>>   ange-ftp-hook-function(file-remote-p "/ftp:mafreebox.freebox.fr:" nil nil)
>
> Still not sufficient. I don't see where (stringp nil) is called.
> "/ftp:mafreebox.freebox.fr:" is a string (obviously). The other
> parameters of `file-remote-p' are optional, it is OK to be nil.
>
> What happens, if you eval in your *scratch* buffer
>
> (file-remote-p "/ftp:mafreebox.freebox.fr:" nil nil)
Same error.

> What happens, if you move your ~/.netrc away (temporarily)?
It is working when I remove .netrc
(file-remote-p "/ftp:mafreebox.freebox.fr:")
=> "/ftp:mafreebox.freebox.fr:"

Here the entry in .netrc:

machine mafreebox.freebox.fr login freebox password xxxxx

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997